Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceTable

    java.lang.Object
      unity.annotation.SourceTable

Direct Known Subclasses:
  AnnotatedSourceTable

    public class SourceTable

extends java.lang.Object

Constructor Summary
`SourceTable()`
`SourceTable(java.lang.String catName, java.lang.String schName, java.lang.String tblName, java.lang.String com, java.util.HashMap fields, SourceKey pkey)`

Method Summary
`void` | `addField(SourceField field)`
`void` | `addForeignKey(SourceForeignKey fkey)`
`void` | `addJoin(SourceJoin join)`
`java.util.ArrayList` | `getCandidateKeys()`
`java.lang.String` | `getCatalogName()`
`SourceField` | `getField(java.lang.String fieldName)`
`java.util.ArrayList` | `getForeignKeys()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getFullSQLTableName()`
`java.util.ArrayList` | `getJoins()`
`java.lang.String` | `getNameWithSchema()`
`int` | `getNumTuples()`
`SourceDatabase` | `getParentDatabase()`
`SourceKey` | `getPrimaryKey()`
`java.lang.String` | `getSchemaName()`
`java.util.HashMap` | `getSourceFields()`
`java.lang.String` | `getSQLTableName()`
`java.lang.String` | `getSQLTableNameWithSchema()`
`java.lang.String` | `getTableName()`
`java.util.ArrayList` | `isForeignKey(java.util.ArrayList fields)`
`boolean` | `isForeignKey(java.util.ArrayList fields, SourceTable table)`
`boolean` | `isPrimaryKey(java.util.ArrayList fields)`
`void` | `setCatalogName(java.lang.String name)`
`void` | `setForeignKeys(java.util.ArrayList fkey)`
`void` | `setJoins(java.util.ArrayList joins)`
`void` | `setNumTuples(int t)`
`void` | `setParentDatabase(SourceDatabase db)`
`void` | `setPrimaryKey(SourceKey key)`
`void` | `setSchemaName(java.lang.String name)`
`void` | `setSourceFields(java.util.HashMap fields)`
`void` | `setTableName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceTable

    public SourceTable()

### SourceTable

    public SourceTable(java.lang.String catName,
                       java.lang.String schName,
                       java.lang.String tblName,
                       java.lang.String com,
                       java.util.HashMap fields,
                       SourceKey pkey)

Method Detail

### getParentDatabase

    public SourceDatabase getParentDatabase()

### setParentDatabase

    public void setParentDatabase(SourceDatabase db)

### isPrimaryKey

    public boolean isPrimaryKey(java.util.ArrayList fields)

### isForeignKey

    public java.util.ArrayList isForeignKey(java.util.ArrayList fields)

### isForeignKey

    public boolean isForeignKey(java.util.ArrayList fields,
                                SourceTable table)

### getTableName

    public java.lang.String getTableName()

### setTableName

    public void setTableName(java.lang.String name)

### getSchemaName

    public java.lang.String getSchemaName()

### setSchemaName

    public void setSchemaName(java.lang.String name)

### getCatalogName

    public java.lang.String getCatalogName()

### setCatalogName

    public void setCatalogName(java.lang.String name)

### getFullName

    public java.lang.String getFullName()

### getNameWithSchema

    public java.lang.String getNameWithSchema()

### getSQLTableName

    public java.lang.String getSQLTableName()

### getSQLTableNameWithSchema

    public java.lang.String getSQLTableNameWithSchema()

### getFullSQLTableName

    public java.lang.String getFullSQLTableName()

### getSourceFields

    public java.util.HashMap getSourceFields()

### setSourceFields

    public void setSourceFields(java.util.HashMap fields)

### getPrimaryKey

    public SourceKey getPrimaryKey()

### setPrimaryKey

    public void setPrimaryKey(SourceKey key)

### setForeignKeys

    public void setForeignKeys(java.util.ArrayList fkey)

### addForeignKey

    public void addForeignKey(SourceForeignKey fkey)

### getForeignKeys

    public java.util.ArrayList getForeignKeys()

### getCandidateKeys

    public java.util.ArrayList getCandidateKeys()

### getJoins

    public java.util.ArrayList getJoins()

### setJoins

    public void setJoins(java.util.ArrayList joins)

### getNumTuples

    public int getNumTuples()

### setNumTuples

    public void setNumTuples(int t)

### addJoin

    public void addJoin(SourceJoin join)

### getField

    public SourceField getField(java.lang.String fieldName)

### addField

    public void addField(SourceField field)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toXML

    public java.lang.String toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD